> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dakota.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Investment Holdings API

> This endpoint requires an Oauth-Token obtained from /oauth2

## How to Use

1. **Copy** any of the JSON examples below.
2. **Go to the API playground** by clicking on the **"Try it"** button.
3. **Paste** the JSON into the request body field.
4. **Click "Send"** button to execute the request.

## Examples

### Count Investment Holding Records

```json theme={null}
{
  "module": "investment_holdings",
  "count_only": "1"
}
```

### List All Investment Holdings

```json theme={null}
{
  "module": "investment_holdings"
}
```

### List Investment Holdings with Specific Fields

```json theme={null}
{
  "module": "investment_holdings",
  "filters": {
    "fields": [
      "sfid",
      "name",
      "account__c",
      "fund_balance__c",
      "investment_income__c",
      "date_acquired__c",
      "lastmodifieddate"
    ],
    "order_by": "lastmodifieddate:DESC",
    "max_num": "10"
  }
}
```

### Filter Holdings by Account ID

```json theme={null}
{
  "module": "investment_holdings",
  "filters": {
    "filter": [
      {
        "account__c": {
          "$equals": "0016O00003gCdorQAC"
        }
      }
    ]
  }
}
```

### Filter Holdings by Asset Class

```json theme={null}
{
  "module": "investment_holdings",
  "filters": {
    "filter": [
      {
        "asset_class__c": {
          "$equals": "Fixed Income"
        }
      }
    ]
  }
}
```

### Filter Holdings by Date Modified (Date Range)

```json theme={null}
{
  "module": "investment_holdings",
  "filters": {
    "filter": [
      {
        "lastmodifieddate": {
          "$between": ["2026-01-01T00:00:00+00:00", "2026-03-31T23:59:59+00:00"]
        }
      }
    ],
    "fields": ["sfid", "name", "account__c", "fund_balance__c", "lastmodifieddate"]
  }
}
```

### Filter Holdings by Fund Balance Greater Than

```json theme={null}
{
  "module": "investment_holdings",
  "filters": {
    "filter": [
      {
        "fund_balance__c": {
          "$gt": "1000000"
        }
      }
    ]
  }
}
```


## OpenAPI

````yaml POST /index.php/api/dakota
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://marketplace-as-a-service.herokuapp.com
security: []
paths:
  /index.php/api/dakota:
    post:
      description: This endpoint requires an Oauth-Token obtained from /oauth2
      requestBody:
        required: true
        content:
          text/plain:
            schema:
              type: string
              description: >-
                Copy any of the JSON examples and paste it into the request body
                field.
            example: <JSON example>
      security:
        - authToken: []
components:
  securitySchemes:
    authToken:
      type: apiKey
      in: header
      name: Oauth-Token
      description: >-
        Get the OAuth token by calling the /oauth2 authentication API. Use the
        access_token from the response to authorize your API requests.

````